<!-- Linea 1 -->
<div class="card border-primary mb-3">
  <div class="card-header"> Clientes </div>
  <div class="card-body">
    <h5 class="card-title text-primary"> Listado de clientes </h5>
    <!-- Linea 4 -->
    <div class="my-2 text-left">
       <!-- Linea 18 -->
       <button *ngIf="authService.hasRole('ROLE_ADMIN')" class="btn btn-rounded btn-primary" type="button" [routerLink]="['/clientes/form']">
           Crear Cliente
       </button>
    </div>
    <!-- Linea 8 -->
    <div *ngIf="clientes.length == 0" class="alert alert-info">
        No hay registros en la base de datos!
    </div>
    <!-- Linea 2 --> <!-- Linea 7 -->
    <table class="table table-bordered table-striped text-primary" *ngIf="clientes.length > 0">
      <thead>
        <tr>  <!-- Linea 18 -->
          <th *ngIf="authService.hasRole('ROLE_USER')"> Foto     </th>
          <th> Nombre   </th>
          <th> Apellido </th>
          <th> Email    </th>
          <th> Fecha    </th>
          <!-- Linea 19 -->
          <th *ngIf="authService.hasRole('ROLE_ADMIN')"> Crear Factura </th>
          <!-- Linea 5 --> <!-- Linea 18 -->
          <th *ngIf="authService.hasRole('ROLE_ADMIN')">
               Editar
          </th>
          <!-- Linea 6 --> <!-- Linea 18 -->
          <th *ngIf="authService.hasRole('ROLE_ADMIN')">
               Eliminar
          </th>
        </tr>
      </thead>
      <tbody>
        <!-- Linea 3 -->
        <tr *ngFor="let cliente of clientes">
          <!-- Linea 14 -->
          <!-- <td><button type="button" [routerLink]="['/clientes/ver', cliente.id]" class="btn btn-success btn-sm"
             >{{ cliente.id }}</button></td> -->
          <!-- Linea 16 -->
          <!-- <td><button type="button" (click)="abrirModal(cliente)" class="btn btn-success btn-sm"
             >{{ cliente.id }}</button></td> -->
          <!-- Linea 17 --> <!-- Linea 18 -->
          <td *ngIf="authService.hasRole('ROLE_USER')"><img *ngIf="cliente?.foto"
                   (click)="abrirModal(cliente)"
                   src="http://localhost:8080/api/uploads/img/{{cliente.foto}}"
                   alt="{{cliente.foto}}" class="img-thumbnail rounded"
                   style="width: 38px; cursor: pointer;">
              <img *ngIf="!cliente?.foto"
                   (click)="abrirModal(cliente)"
                   src="http://localhost:8080/images/no-usuario.png"
                   alt="Sin foto" class="img-thumbnail rounded"
                   style="width: 38px; cursor: pointer;"></td>
          <td>{{ cliente.nombre | uppercase }}  </td>
          <td>{{ cliente.apellido | uppercase }}</td> <!-- Linea 9 -->
          <td>{{ cliente.email }}   </td>
          <td>{{ cliente.createAt | date:"EEEE dd, MMMM yyyy" }}</td> <!-- Linea 10 -->
          <!-- Linea 19 -->
          <td *ngIf="authService.hasRole('ROLE_ADMIN')"> <button type="button" class="btn btn-success btn-sm" [routerLink]="['/facturas/form', cliente.id]"> Crear Factura </button> </td>
          <!-- Linea 5 --> <!-- Linea 18 -->
          <td *ngIf="authService.hasRole('ROLE_ADMIN')">
            <button type="button" name="editar" [routerLink]="['/clientes/form', cliente.id]" class="btn btn-primary btn-sm">Editar</button>
          </td>
          <!-- Linea 6 -->   <!-- Linea 18 -->
          <td *ngIf="authService.hasRole('ROLE_ADMIN')">
            <button type="button" name="eliminar" (click)='delete(cliente)' class="btn btn-danger btn-sm">Eliminar</button>
          </td>
        </tr>
      </tbody>
    </table>
    <paginator-nav *ngIf="paginador" [paginador] = "paginador" ></paginator-nav>
  </div>
</div>

<!-- Linea 15 -->
<detalle-cliente *ngIf="clienteSeleccionado.id!=0" [cliente]="clienteSeleccionado"><detalle-cliente>

<!-- Tarea 21 -->
  <!-- Linea 1: Crear panel para la impresion de la lista de clientes -->
  <!-- Linea 2: Crear tabla de clientes -->
  <!-- Linea 3: Crear estructura de la iteracion por el arreglo de clientes -->

<!-- Tarea 68 -->
  <!-- Linea 4: Crear boton con el link al formulario -->

<!-- Tarea 76 -->
  <!-- Linea 5: Crear boton editar en la tabla -->

<!-- Tarea 77 -->
  <!-- Linea 6: Crear boton eliminar en la tabla -->

<!-- Tarea 85 -->
  <!-- Linea 7: Validar si salen o no registros en la tabla con ngIf -->
  <!-- Linea 8: Mandar un mensaje si no hay registros -->

<!-- Tarea 97 -->
  <!-- Linea  9: Convertir el apellido a mayusculas usando pipes  -->
  <!-- Linea 10: Darle formato a la fecha usando un pipe -->
  <!-- Nota: El locale sale en ingles entoces hay que configurar globalmente la
       variable LOCALE_ID en el app.module para que el locale salga en español -->

<!-- Tarea 111 -->
  <!-- Linea 11: Colocar el selector del componente paginador debajo de la tabla -->
  <!-- Linea 12: Poner en el selector de paginador la directiva de entrada que se encargar de
       recibir el atributo paginador del clientes component
       [paginador] corresponde al atributo en el compoente hijo
       "paginador" corresponde al atributo del componente padre -->
  <!-- Linea 13: Validamos que el atributo paginador exista -->

<!-- Tarea 131 -->
  <!-- Linea 14: En el valor id de la tabla poner un boton que tenga como texto el valor del id,
       este debera llevar al detalle del cliente ademas le añadimos un link al componente detalle -->

<!-- Tarea 143 -->
  <!-- Linea 15: Implementar el control modal -->
  <!-- Linea 16: Implementar en el boton de id el evento click que invoque el modal -->

<!-- Tarea 147 -->
  <!-- Linea 17: Poner la imagen en la columna id y quitar el boton -->

<!-- Tarea 218 -->
  <!-- Linea 18: Validar botones deacuerdo al role con un ngIF usando authService -->
